## NAME

t.create - Creates a space time dataset.

## KEYWORDS

temporal, map management, create, time

## SYNOPSIS

t.create
t.create --help
t.create output=name [type=name] [temporaltype=name] semantictype=string title=string description=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

output=name [required]
  Name of the output space time dataset
type=name
  Type of the output space time dataset
  Options: strds, stvds, str3ds
  Default: strds
temporaltype=name
  The temporal type of the space time dataset
  Options: absolute, relative
  Default: absolute
semantictype=string [required]
  Semantic type of the space time dataset
  Options: min, max, sum, mean
  Default: mean
title=string [required]
  Title of the new space time dataset
description=string [required]
  Description of the new space time dataset

## DESCRIPTION

t.create is used to create space time datasets of type raster (STRDS), 3D raster (STR3DS) and vector (STVDS).

Space time datasets represent spatio-temporal fields in the temporal GRASS framework. They are designed to collect any amount of time stamped maps with time intervals and time instances. The temporal type of a space time dataset can be absolute (means with a fixed date) or relative (only sequential maps) and must be set during dataset creation along with the name and the description.

Time stamped maps can registered in and unregistered from space time datasets. The spatio-temporal extent as well as the metadata of a space time dataset is derived from its registered maps. Hence the metadata is dependent from the dataset type (raster, 3D raster, vector).

## EXAMPLE

### Absolute STRDS dataset

Create a raster space time datasets

    t.create type=strds temporaltype=absolute \
             output=precipitation_monthly \
             title="Monthly precipitation" \
             description="Dataset with monthly precipitation"

### Relative STVDS dataset

Create a vector space time datasets

    t.create type=stvds temporaltype=relative \
             output=precipitation_monthly_30y \
             title="Monthly precipitation 30 years" \
             description="Test dataset with monthly average \
             precipitation in the last 30 year"

## SEE ALSO

t.register, t.remove, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date$

## SOURCE CODE

Available at: t.create source code (history)

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual